#
#    Project: The EDNA Prototype
#             http://www.edna-site.org
#
#    File: "$Id: EDImportTest.py 476 2008-07-30 16:12:58Z svensson $"
#
#    Copyright (C) 2008 European Synchrotron Radiation Facility
#                       Grenoble, France
#
#    Principal authors: Marie-Francoise Incardona (incardon@esrf.fr)
#                       Olof Svensson (svensson@esrf.fr) 
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


import os                             as PyOS
# <Add import / EDApplicationCheckPlugin for Bug #10 workaround>
from ALCommandLine                    import ALCommandLine             as EDCommandLine
from ALCommandLineArgument            import ALCommandLineArgument     as EDCommandLineArgument
from ALAppDefinition                  import ALAppDefinition           as EDAppDefinition
from ALLogFile                        import ALLogFile                 as EDLogFile
from ALResource                       import ALResource                as EDResource
from ALSlot                           import ALSlot                    as EDSlot
from ALSignal                         import ALSignal                  as EDSignal
from ALDebug                          import ALDebug                   as EDDebug
from ALTime                           import ALTime                    as EDTime
from ALDiskExplorer                   import ALDiskExplorer            as EDDiskExplorer
# </Add>
from ALSystem                         import ALSystem                  as EDSystem
from ALFactoryPlugin                  import ALFactoryPlugin           as EDFactoryPlugin
from ALTestSuite                      import ALTestSuite               as EDTestSuite
from EDUtilsPath                      import EDUtilsPath
from EDUtilsTest                      import EDUtilsTest
from EDTestCase                       import EDTestCase
from EDTestCasePlugin                 import EDTestCasePlugin
from EDTestCasePluginUnit             import EDTestCasePluginUnit
from EDApplicationCheckPlugin         import EDApplicationCheckPlugin
from EDTestCasePluginExecute          import EDTestCasePluginExecute





